package com.kcim.common.enums;

/**
 * @description: imed-pfm
 * @author: juejueguai
 * @date: 2021/2/1 11:42
 * @copyright: Copyright (c) 2020
 * @version: V1.0
 * @modified: juejueguai
 */
public enum TaskCirculationEnum {
    UNALLOCATED(1, "创建改善任务"),
    ALLOCATED(2, "创建任务完成后指派改善任务"),
    DONT_APPROVAL(3, "不认可"),
    DESIGNATED_SCHEME(4, "制定改善方案"),
    PDCA_CHECK(5, "PDCA改善方案审核"),
    PDCA_ADOPT(6, "PDCA改善方案通过"),
    CHECKING(7, "单位负责人审核中"),
    CHECKING_PASS(8, "单位负责人审核通过"),
    ADMIN_CHECKING(9, "管理员审核中"),
    ADMIN_CHECKING_PASS(10, "管理员审核通过")
    ;

    private Integer taskType;

    private String description;

    TaskCirculationEnum(Integer taskType, String description) {
        this.taskType = taskType;
        this.description = description;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public String getDescription() {
        return description;
    }
}
